<?php
/**
* Plugin Name: Dashboard Posts Labels To Articles
* Plugin URI: http://wordpress.org/plugins/dashboard-posts-label-to-articles/
* Description: This Plugin Will Change Dashboard Posts Labels To Articles. It Will Create Great Usability Of Wordpress Dashboard. A Novice User Will Understand That It Is Article Posting Menu. 
* Version: 1.0
* Author: Al Mamun
* Author URI:
* License: GPLv2 or later
**/
/*  Copyright 2014  Al Mamun (email : mamunhpath@gmail.com)
	
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
function change_post_menu_text() {
  global $menu;
  global $submenu;

  $menu[5][0] = 'Articles';
  
  $submenu['edit.php'][5][0] = 'All Articles';
  $submenu['edit.php'][10][0] = 'Add Article';
  $submenu['edit.php'][16][0] = 'Articles Tags';
}

add_action( 'admin_menu', 'change_post_menu_text' );

/*
 * Change the post labels
 */
function change_post_labels() {
  global $wp_post_types;

  $postLabels = $wp_post_types['post']->labels;
  $postLabels->name = 'Articles';
  $postLabels->singular_name = 'Article';
  $postLabels->add_new = 'Add Article';
  $postLabels->add_new_item = 'Add Article';
  $postLabels->edit_item = 'Edit Article';
  $postLabels->new_item = 'Article';
  $postLabels->view_item = 'View Article';
  $postLabels->search_items = 'Search Articles';
  $postLabels->not_found = 'No Articles found';
  $postLabels->not_found_in_trash = 'No Articles found in Trash';
}
add_action( 'init', 'change_post_labels' );

?>